#
# spec file for package python-django-nine
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python36 1
%{?sle15_python_module_pythons}
Name:           python-django-nine
Version:        0.2.7
Release:        2.4
Summary:        Compatibility library for Django
License:        GPL-2.0-only OR LGPL-2.1-or-later
URL:            https://github.com/barseghyanartur/django-nine/
Source:         https://files.pythonhosted.org/packages/source/d/django-nine/django-nine-%{version}.tar.gz
# https://github.com/barseghyanartur/django-nine/issues/8
Patch0:         python-django-nine-no-mock.patch
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module Django}
BuildRequires:  %{python_module pytest-django}
# /SECTION
BuildRequires:  fdupes
Requires:       python-packaging
BuildArch:      noarch

%python_subpackages

%description
Version checking library for Django.

%prep
%autosetup -p1 -n django-nine-%{version}
chmod a-x LICENSE_* CHANGELOG.rst README.rst

# Remove backwards compatibility layer
rm src/nine/__init__.py

%build
%python_build

%install
%python_install
%{python_expand rm -r %{buildroot}%{$python_sitelib}/django_nine/tests/
%fdupes %{buildroot}%{$python_sitelib}
}

%check
%pytest src/django_nine/tests/

%files %{python_files}
%doc CHANGELOG.rst README.rst
%license LICENSE_GPL2.0.txt LICENSE_LGPL_2.1.txt
%{python_sitelib}/*

%changelog
* Thu Mar 21 2024 Max Lin <mlin@suse.com>
- Add %%{?sle15_python_module_pythons}
* Wed Jan  4 2023 Dirk Müller <dmueller@suse.com>
- update to 0.2.7:
  * Added ``packaging`` to the required dependencies.
  * Remove mentions of Python 2.6, 2.7, 3.4, 3.5 and 3.6 support from README
  * Fix deprecations.
  * Test against Python 3.9 and 3.10.
* Mon May  9 2022 pgajdos@suse.com
- version update to 0.2.5
  - Tested against more recent Django versions (Django 3.1 and 3.2).
  - Added more Django versions.
- added patches
  fix https://github.com/barseghyanartur/django-nine/issues/8
  + python-django-nine-no-mock.patch
* Fri Jan  7 2022 John Vandenberg <jayvdb@gmail.com>
- Skip Tumbleweed Python 3.6 incompatible with Django 4
* Mon Jan 13 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.2.3:
  * Added more Django versions.
* Wed May 22 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.2.2:
  * Fixes in backwards compatibility
  * Bring back the user compatibility module. However, it's deprecated and
    will be removed in version 0.3
  * Show deprecation warnings
* Fri May 17 2019 John Vandenberg <jayvdb@gmail.com>
- Removed Conflicts with python-nine
- Update to v0.2
  * Drop Python 2.6 support.
  * Change namespace from `nine` to `django_nine`.
  * Removed `user` compatibility module.
  * Add travis.
* Thu Apr 18 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.1.13
